import { arc } from 'd3';
import { Pie } from './Pie';


export const AllPies = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat
}) => {
  
  let firstRow = 100;
  let secondRow = 300;
  let firstRowColumn = 200;
  let secondRowColumn = 250;
  let textXOffset = -25;

  let totalDeaths = 0;
  let totalMaleFirearmDeaths = 0;
  let totalFemaleFirearmDeaths = 0;
  let totalMaleSuicideDeaths = 0;
  let totalFemaleSuicideDeaths = 0;
  let totalMaleAlcoholDeaths = 0;
  let totalFemaleAlcoholDeaths = 0;
  
	console.log(data);
	data.forEach(element => {
    	totalDeaths += element.TotalDeaths;
    	if (element.Sex === "M") {
        totalMaleFirearmDeaths += element.FirearmDeaths;
        totalMaleSuicideDeaths += element.SuicideDeaths;
        totalMaleAlcoholDeaths += element.AlcoholRelatedDeaths;
      } else if (element.Sex === "F") {
        totalFemaleFirearmDeaths += element.FirearmDeaths;
        totalFemaleSuicideDeaths += element.SuicideDeaths;
        totalFemaleAlcoholDeaths += element.AlcoholRelatedDeaths;
      }
  });
  let totalMaleSet = [totalMaleFirearmDeaths, totalMaleSuicideDeaths, totalMaleAlcoholDeaths];
  let totalFemaleSet = [totalFemaleFirearmDeaths, totalFemaleSuicideDeaths, totalFemaleAlcoholDeaths];
	let totalFirearmSet = [totalMaleFirearmDeaths, totalFemaleFirearmDeaths];
  let totalSuicideSet = [totalMaleSuicideDeaths, totalFemaleSuicideDeaths];
  let totalAlcoholSet = [totalMaleAlcoholDeaths, totalFemaleAlcoholDeaths];
  
  
  let startPercent = 0;
  let sizePercent = 0.0; // in percentage
  // Total circum is 2pi
  let percentToRadian = Math.PI * 2;
  
  
  let deathColors = ["#FF0000", "#0000FF", "#00FF00"];
  let colorIndex = -1;
  
  // let totalDenom = totalDeaths;
  // let totalSet = [];
  
  let totalMale = totalMaleFirearmDeaths + totalMaleSuicideDeaths + totalMaleAlcoholDeaths;
  let totalFemale = totalFemaleFirearmDeaths + totalFemaleSuicideDeaths + totalFemaleAlcoholDeaths;
  let totalFirearm = totalMaleFirearmDeaths + totalFemaleFirearmDeaths;
  let totalSuicide = totalMaleSuicideDeaths + totalFemaleSuicideDeaths;
  let totalAlcohol = totalMaleAlcoholDeaths + totalFemaleAlcoholDeaths;
  
  let deathLabels = ["Firearm", "Suicide", "Alcohol"];
  let sexLabels = ["Male", "Female"];
  
  
  
  
  // Male Deaths
  
  return <g>
    			<g
         	transform={`translate(${0},${firstRow})`}
					>
            <Pie
              data={data}
              totalSet={totalMaleSet}
              totalDenom={totalMale}
              colors={deathColors}
              labels={deathLabels}
              />
            <text
              transform={`translate(${textXOffset},${0})`}>
              Male
            </text>
    			</g>
    
    			<g
         	transform={`translate(${2*firstRowColumn},${firstRow})`}
					>
            <Pie
              data={data}
              totalSet={totalFemaleSet}
              totalDenom={totalFemale}
              colors={deathColors}
              labels={deathLabels}
              />
            <text
              transform={`translate(${textXOffset},${0})`}>
              Female
            </text>
    			</g>
    
    			<g
         	transform={`translate(${0},${secondRow})`}
					>
            <Pie
              data={data}
              totalSet={totalFirearmSet}
              totalDenom={totalFirearm}
              colors={deathColors}
              labels={sexLabels}
              />
            <text
              transform={`translate(${textXOffset},${0})`}>
              Firearm
            </text>
    			</g>
    
        	<g
         	transform={`translate(${secondRowColumn},${secondRow})`}
					>
            <Pie
              data={data}
              totalSet={totalAlcoholSet}
              totalDenom={totalAlcohol}
              colors={deathColors}
              labels={sexLabels}
              />
            <text
              transform={`translate(${textXOffset},${0})`}>
              Alcohol
            </text>
    			</g>
    
   				 <g
         	transform={`translate(${2*secondRowColumn},${secondRow})`}
					>
            <Pie
              data={data}
              totalSet={totalSuicideSet}
              totalDenom={totalSuicide}
              colors={deathColors}
              labels={sexLabels}
              />
            <text
              transform={`translate(${textXOffset},${0})`}>
              Suicide
            </text>
    			</g>
    </g>;
};
