import { arc } from 'd3';

export const Pie = ({
  data,
  totalDenom,
  totalSet,
  colors,
  labels
}) => {
  let innerRadius = 40;
  let outerRadius = 80;
  
  let startPercent = 0;
  let sizePercent = 0.0; // in percentage
  // Total circum is 2pi
  let percentToRadian = Math.PI * 2;
  
  let colorIndex = -1;
  
  
  // Graph the Pie
  
  return totalSet.map(d => {
      // increment starting at -1
      colorIndex++;

      // calculate piece size
      console.log(d);
      sizePercent = d / totalDenom;

      // declare function with params
      const mouthArc = arc()
        .innerRadius(innerRadius)
        .outerRadius(outerRadius)
        .startAngle(startPercent * percentToRadian)
        .endAngle((startPercent * percentToRadian) + (sizePercent * percentToRadian));

      // update start angle
      startPercent = startPercent + sizePercent;

      let textX = (outerRadius+20)*Math.sin(startPercent*percentToRadian);
      let textY = (outerRadius+20)*Math.cos(startPercent*percentToRadian);
    

      // return the value
      return <g
        >
          <path
            d={mouthArc()} 
            fill={colors[colorIndex]}
        />
        <text
          transform={`translate(${textX},${textY})`}
        >
          {labels[colorIndex]}
        </text>
        </g>;
    });
};